Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Main::KeySnooperSignal Class Reference

KeySnooper signal class. More...

`#include <xfc/main.hh>`

List of all members.

## Public Types

- typedef sigc::slot< bool,
  Gtk::Widget &, const Gdk::EventKey & > SlotType
    Function signature for handlers connected to this signal.

## Public Member Functions

- ~KeySnooperSignal ()
    Destructor.
- sigc::connection connect (const SlotType &slot)
    Connect a slot to be called on all key events before delivering them normally.

## Detailed Description

KeySnooper signal class.

## Member Function Documentation

sigc::connection Xfc::Main::KeySnooperSignal::connect | ( | const SlotType & | slot | ) |

Connect a slot to be called on all key events before delivering them normally.

Parameters:

  | slot | The slot to call.

Returns:
  A connection object that can be used to break or alter the connection.

Connect a user function that will receive keypress events. It is the snooper's responsiblity to pass the keypress on to the widget, but care must taken that its not passed twice. The user function should return false to prevent further snooping.

The documentation for this class was generated from the following file:

- libXFCui/xfc/main.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3